What does this error message means in Parrot OS root terminal?

─[[email protected]]─[~]
└──╼ #apt update
Get:1 https://deb.parrotsec.org/parrot parrot InRelease [14.6 kB]
Reading package lists… Done
E: Release file for https://deb.parrotsec.org/parrot/dists/parrot/InRelease is not valid yet (invalid for another 6h 2min 9s). Updates for this repository will not be applied.

1 Like

Meaning they have not released the file for that repo yet says 6 hours remaining

If it is not released then why is it showing for available updates?

“is not valid yet (invalid for another 6h 2min 9s). Updates for this repository will not be applied.”

If it is not valid then how does terminal catch it as an update? My question remains the same.

Hi rootsec
Parrot os has many bugs
Accoording to me u can change your repository
And then type apt upgrade. It work on kali may be it help you

etc/apt/sources.list.d/parrot.list:

deb https://deb.parrotsec.org/parrot stable main contrib non-free
#deb-src https://deb.parrotsec.org/parrot stable main contrib non-free
1 Like

What will happen by changing repo? Another changed repo can also face this issue right? That problem isn’t continues though but still i would make up my mind to change the repo.

Rootsec
If u make up your mind to choose repo then nice
It may be work.
But still frozen box has many things to do to improve their os
Like if u run nipe then firefox wont run if u change date and time
Still it wont work
Sometime anonsurf also fail to work

They never beat kali or archlinux

Correct me if any thing wrong

Thanks…